# Centralized account info

The `CentralizedAccountInfo` entity provides account information collected by CSPR.cloud team for the well-known accounts in the Casper ecosystem.

## Properties

The `CentralizedAccountInfo` entity has the following properties:

| Property       | Type         | Description                                      |
| -------------- | ------------ | ------------------------------------------------ |
| `account_hash` | `string(64)` | Account hash represented as a hexadecimal string |
| `name`         | `string`     | Account name                                     |
| `url`          | `string`     | Website URL associated with the account          |
| `avatar_url`   | `string`     | Account avatar URL                               |

**Example**

```json
{
  "data": {
    "account_hash": "02faaa3d8155039a88589d531f8107335476589c2e920980a6981f905671e20d",
    "avatar_url": "https://casper-assets.s3.amazonaws.com/accounts/casper-association.png",
    "name": "Casper Association - Developer grants",
    "url": null
  }
}
```

## Optional properties

None

## Relations

The `CentralizedAccountInfo` entity has the following relations with other entities:

| Entity                                                      | Mapping property | Description                           |
| ----------------------------------------------------------- | ---------------- | ------------------------------------- |
| [`Account`](https://docs.cspr.cloud/1.4.x/rest-api/account) | `account_hash`   | Account info is related to an account |

## Endpoints

The `CentralizedAccountInfo` entity has the following endpoints:

* [Get centralized account info](https://docs.cspr.cloud/1.4.x/rest-api/centralized-account-info/get-centralized-account-info)
* [Get centralized account infos](https://docs.cspr.cloud/1.4.x/rest-api/centralized-account-info/get-centralized-account-infos)

## Relation endpoints

None


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.4.x/rest-api/centralized-account-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
